Fail to run Rasa X in local mode - utf-8 encoding error

Hello,

Configuration:

  • python: 3.7
  • rasa: 2.3.4
  • rasa-sdk: 2.3.1
  • rasa-x: 0.38.1

I am using Windows 10.

I can’t start Rasa X in local mode right after a fresh install.

Extract of the traceback:

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe9 in position 1720: invalid continuation byte

During handling of the above exception, another exception occurred:

rasa.shared.exceptions.FileIOException: Failed to read file 'C:\Users\A\AppData\Local\Temp\tmp_jx5xkzx', could not read the file using utf-8 to decode it. Please make sure the file is stored with this encoding.

I ran rasa data validate and there is no issue on that side.

Any help will be welcome,

Thanks, Paul